Kerbal Space Program - Feedback #5930

Unable to make stuff sink in the waters of kerbin dispite the density of LFO being 5 times greater
than water.

11/12/2015 12:27 AM - Comwarrior69

Status: Needs Clarification

Severity: Normal

Assignee:

Category: Gameplay

Target version:

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

KSP 1.0.5.1028 unmodded
No errors in log

Unable to make stuff sink in the waters of kerbin dispite the density of LFO being 5 times greater than water.
A Mk3 large tank weighing 57t containing 10,000 units of liquid fuel that is 5 times denser than water should sink.

75% of my twitch chat agree, please look into this.
History

#1 - 11/14/2015 01:34 PM - Squelch

- Status changed from New to Need More Info

The unit of measure used in KSP is 5 litres per unit.

This can be deduced from:
Jumbo-64

® Dry mass: 4t

Wet mass: 36t

Net: 32t

Volume 7.5m long, 2.5m diameter = 36.8m"3

From RP-1/LOX as an analogue to LFO, density is 8.1-1.02kg/|

Approximating skin volume and dead space (cylinder with hemispherical end-caps within a cylindrical frame) leaves ~32m”3 which is 6400 units
of fuel or 200u/m”3 therefore 5 litres/unit at close to the density of water.

The Jumbo-64 should just float assuming the above, and a quick test shows it to be about right. This also translates to the other tanks (LF and LFO
are assumed equal in density per unit volume)
Here's a comparative test between the Jumbo-64 and the Mk3 LFO long
Pb9uhwU.png
Credit goes to Taniwha for workings

That said, The first image does show the fuselage to be too high in the water, so something isn't right. It's hard to determine what the second image is
demonstrating.

Could you please confirm the version and build? Also, please verify your installation if using Steam, and pay particular attention to physics.cfg which
may need regenerating or replacing with the current copy.

#2 - 11/19/2015 04:24 AM - Comwarrior69

100% fresh install (non steam), the build as mentioned is 1.0.5.1028

The second pix shows the nose and tail removed so only the mk3 tank... well as best as i can get it in order to get to the water

#3 - 07/17/2016 09:40 AM - TriggerAu
https://www.google.co.uk/webhp?sourceid=chrome-instant&ion=1&espv=2&ie=UTF-8#q=RP-1%2FLOX+density

- Status changed from Need More Info to Needs Clarification
